/*
** Module   : TemporaryClient.java
** Abstract : define a worker for temporary clients.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- -------------------------------Description------------------------------------
** 001 CA  20140206 Created initial version.
*/

package com.goldencode.p2j.main;

import java.io.*;

import com.goldencode.p2j.cfg.*;
import com.goldencode.p2j.ui.client.driver.*;

/**
 * On P2J client side, it will do custom work after authenticating using the temporary 
 * credentials.
 */
public interface TemporaryClient
extends Serializable
{
   /**
    * Depending on the type of the started P2J client, this will do custom work using the
    * temporary credentials.
    * 
    * @param    spawner
    *           The spawner remote access interface. 
    * @param    uuid
    *           Remote client identifier uuid.
    * @param    config
    *           The configuration to use for setup of the client and for the server connection.
    *
    * @return   An explicit screen driver to be used by the P2J client <code>null</code> if this
    *           is not the case. 
    */
   public ScreenDriver doWork(Spawner spawner, String uuid, BootstrapConfig config);
}
