/*
** Module   : WebClientBuilderParameters.java
** Abstract : store the web client process parameters.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- -------------------------------Description------------------------------------
** 001 CA  20140206 Created initial version, extracted from ClientBuilderParameters.
*/

package com.goldencode.p2j.main;

import java.util.*;

/**
 * This structure holds default parameters as well specific parameters used to create and spawn a 
 * process for a P2J chui web client. 
 */
public class WebClientBuilderParameters
extends ClientBuilderParameters
{   
   /** Referrer */
   private String referrer;

   /**
    * Constructor. Assign a unique UUID to this process.
    */
   public WebClientBuilderParameters()
   {
      super(WebClientBuilderOptions.getInstance());
   }
   
   /**
    * Get Terminal Options.
    * 
    * @return  The terminal options.
    */
   public Map<String, String> getTerminalOptions()
   {
      return ((WebClientBuilderOptions) options).getTerminalOptions();
   }

   /**
    * Get referrer address.
    * 
    * @return  Back link URL
    */
   public String getReferrer()
   {
      return referrer;
   }

   /**
    * Set referrer address.
    * 
    * @param   referrer
    *          Back link URL
    */
   public void setReferrer(String referrer)
   {
      this.referrer = referrer;
   }
}
