/*
** Module   : BatchProcess.java
** Abstract : Provides API to start a P2J client as a batch process.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20140211 Created initial version.
*/

package com.goldencode.p2j.util;

import com.goldencode.p2j.main.*;

/**
 * Interface defining the launch command for a batch process.  This is used as a network proxy to
 * expose the {@link ProcessClientSpawner#launch(String)} API for remote requests.
 */
public interface BatchProcess
{
   /**
    * Launch the specified batch process.
    * 
    * @param    batchProcess
    *           The name of the batch process to be launched.
    */
   public void launch(String batchProcess);
}
